-- This CLP file was created using DB2LOOK Version "9.7" 
-- Timestamp: 11/11/2013 11:55:12
-- Database Name: CLIENTS        
-- Database Manager Version: DB2/NT Version 9.7.0          
-- Database Codepage: 1252
-- Database Collating Sequence is: UNIQUE


CONNECT TO CLIENTS


------------------------------------------------
-- DDL Statements for Schemas
------------------------------------------------


CREATE SCHEMA "ADDRESSBOOK" AUTHORIZATION "ADRESSBOOKADMIN"



------------------------------------------------
-- DDL Statements for table "ADDRESSBOOK"."PERSON"
------------------------------------------------
 

CREATE TABLE "ADDRESSBOOK"."PERSON"  ("ID" BIGINT NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH +1 INCREMENT BY +1 MINVALUE +1 MAXVALUE +9223372036854775807 NO CYCLE NO CACHE NO ORDER ) , "COUNTRY" CHAR(25) NOT NULL , "NAME" CHAR(50) NOT NULL , "LASTNAME" CHAR(100) NOT NULL ) IN "USERSPACE1" 


-- DDL Statements for primary key on Table "ADDRESSBOOK"."PERSON"

ALTER TABLE "ADDRESSBOOK"."PERSON" 	ADD CONSTRAINT "CC1382543457765" PRIMARY KEY ("ID",  "COUNTRY")


-- DDL Statements for unique constraints on Table "ADDRESSBOOK"."PERSON"


ALTER TABLE "ADDRESSBOOK"."PERSON" 	ADD CONSTRAINT "CC1382543468125" UNIQUE ("ID")


------------------------------------------------
-- DDL Statements for table "ADDRESSBOOK"."ADDRESS"
------------------------------------------------
 

CREATE TABLE "ADDRESSBOOK"."ADDRESS"  ("ID" BIGINT NOT NULL GENERATED ALWAYS AS IDENTITY ( START WITH +1 INCREMENT BY +1 MINVALUE +1 MAXVALUE +9223372036854775807 NO CYCLE NO CACHE NO ORDER ) , "COUNTRY" CHAR(25) NOT NULL , "TYPE" CHAR(15) , "NUMBER" INTEGER NOT NULL , "LINEADDRESS2" CHAR(50) , "LINEADDRESS1" CHAR(50) NOT NULL , "POSTCODE" CHAR(10) NOT NULL , "CITY" CHAR(50) NOT NULL , "ADDITIONALINFO" CHAR(100) ) IN "USERSPACE1" 

-- DDL Statements for primary key on Table "ADDRESSBOOK"."ADDRESS"

ALTER TABLE "ADDRESSBOOK"."ADDRESS" ADD CONSTRAINT "CC1382543778953" PRIMARY KEY ("ID", "COUNTRY")


-- DDL Statements for unique constraints on Table "ADDRESSBOOK"."ADDRESS"


ALTER TABLE "ADDRESSBOOK"."ADDRESS" ADD CONSTRAINT "CC1382543787593" UNIQUE ("ID")


------------------------------------------------
-- DDL Statements for table "ADDRESSBOOK"."PHONE"
------------------------------------------------
 

CREATE TABLE "ADDRESSBOOK"."PHONE"  ("ID" BIGINT NOT NULL GENERATED ALWAYS AS IDENTITY ( START WITH +1 INCREMENT BY +1 MINVALUE +1 MAXVALUE +9223372036854775807 NO CYCLE NO CACHE NO ORDER ) , "COUNTRY" CHAR(25) NOT NULL , "AREA" INTEGER NOT NULL , "PREFIX" INTEGER NOT NULL , "LOCAL" INTEGER NOT NULL ) IN "USERSPACE1" 

-- DDL Statements for primary key on Table "ADDRESSBOOK"."PHONE"

ALTER TABLE "ADDRESSBOOK"."PHONE" ADD CONSTRAINT "CC1382544072437" PRIMARY KEY ("ID", "COUNTRY")


-- DDL Statements for unique constraints on Table "ADDRESSBOOK"."PHONE"


ALTER TABLE "ADDRESSBOOK"."PHONE" ADD CONSTRAINT "CC1382544078671" UNIQUE ("ID")


-- DDL Statements for foreign keys on Table "ADDRESSBOOK"."ADDRESS"

ALTER TABLE "ADDRESSBOOK"."ADDRESS" ADD CONSTRAINT "CC1382543794453" FOREIGN KEY ("ID", "COUNTRY") REFERENCES "ADDRESSBOOK"."PERSON" ("ID","COUNTRY") ON DELETE NO ACTION ON UPDATE NO ACTION ENFORCED ENABLE QUERY OPTIMIZATION 

-- DDL Statements for foreign keys on Table "ADDRESSBOOK"."PHONE"

ALTER TABLE "ADDRESSBOOK"."PHONE" ADD CONSTRAINT "CC1382544082812" FOREIGN KEY ("ID", "COUNTRY") REFERENCES "ADDRESSBOOK"."PERSON" ("ID", "COUNTRY") ON DELETE NO ACTION ON UPDATE NO ACTION ENFORCED ENABLE QUERY OPTIMIZATION


----------------------------------------
-- Authorization Statements on Database 
----------------------------------------

 
GRANT DBADM WITHOUT DATAACCESS WITHOUT ACCESSCTRL ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT CREATETAB ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT BINDADD ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT CONNECT ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT CREATE_NOT_FENCED ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT IMPLICIT_SCHEMA ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT LOAD ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT QUIESCE_CONNECT ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT SECADM ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT DATAACCESS ON DATABASE  TO USER "ADRESSBOOKADMIN" 

GRANT ACCESSCTRL ON DATABASE  TO USER "ADRESSBOOKADMIN" 

COMMIT WORK

CONNECT RESET

TERMINATE

